This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 124900 - CAN-2004-0419 xdm opens random tcp sockets
CAN-2004-0419 xdm opens random tcp sockets
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
http://bugs.xfree86.org/show_bug.cgi?...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-01 07:18 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-09 03:51:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-06-01 07:18:56 EDT
See URL; "Even when DisplayManager.requestPort is set to 0, xdm will
open a chooserFd tcp socket on all interfaces. This apparently cannot
be disabled by configuration and presents a possible security risk."  

Note that this issue does not affect upstream XFree86 4.3.0 but
affects the versions shipped with Fedora Core 1 and 2 which contained
a backported patch that contains the flaw.

        CAN-2004-0419 Affects: FC1 
        CAN-2004-0419 Affects: FC2 

This issue is minor severity as xdm is not used by default.
Comment 2 Mike A. Harris 2004-09-15 04:53:30 EDT
This can be closed once erratum is released.


Note You need to log in before you can comment on or make changes to this bug.